Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class MergePolicy.MergeSpecification

    java.lang.Object
      org.apache.lucene.index.MergePolicy.MergeSpecification

Enclosing class:
  MergePolicy

    public static class MergePolicy.MergeSpecification

extends Object

A MergeSpecification instance provides the information necessary to perform multiple merges. It simply contains a list of `MergePolicy.OneMerge` instances.

Field Summary
`List<MergePolicy.OneMerge>` | `merges` The subset of segments to be included in the primitive merge.

Constructor Summary
`MergePolicy.MergeSpecification()` Sole constructor.

Method Summary
`void` | `add(MergePolicy.OneMerge merge)` Adds the provided `MergePolicy.OneMerge` to this specification.
`String` | `segString(Directory dir)` Returns a description of the merges in this specification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### merges

    public final List<MergePolicy.OneMerge> merges

  The subset of segments to be included in the primitive merge.

Constructor Detail

### MergePolicy.MergeSpecification

    public MergePolicy.MergeSpecification()

  Sole constructor. Use `add(MergePolicy.OneMerge)` to add merges.

Method Detail

### add

    public void add(MergePolicy.OneMerge merge)

  Adds the provided `MergePolicy.OneMerge` to this specification.

### segString

    public String segString(Directory dir)

  Returns a description of the merges in this specification.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.